package net.northking.cctp.element.core;

/**
 * 组件库信息
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public interface RegisterInfo {

    /**
     * 库名称
     *
     * @return
     */
    String getName();

    /**
     * 库中文名称
     *
     * @return
     */
    String getChName();

    /**
     * 库当前版本
     *
     * @return
     */
    String getVersion();

    /**
     * 组件库类别
     *
     * @return
     */
    Integer getType();

    /**
     * 库介绍
     *
     * @return
     */
    String getIntro();

    /**
     * 库变更历史信息
     *
     * @return
     */
    String getChangeLog();

}